---
title: Find Chat | API Docs
---

GET

/api/partner/v2/chats/find

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/chats/find?phone_number=%2B12052761148&phone_numbers%5B%5D=%2B12055426109';
const options = {
  method: 'GET',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request GET \
  --url 'https://api.linqapp.com/api/partner/v2/chats/find?phone_number=%2B12052761148&phone_numbers%5B%5D=%2B12055426109' \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/chats/find

Finds a chat by phone numbers. Specify your Linq number via ‘phone\_number’ and the participant(s) you want to find a chat with via ‘phone\_numbers\[]’. Returns the first matching chat.

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Parameters

### Query Parameters

**phone\_number**

required

string

##### Example

```
+12052761148
```

Your Linq number (the phone number you’re searching from)

**phone\_numbers\[]**

required

Array\<string>

##### Example

```
[
  "+12055426109"
]
```

Array of phone numbers to find a chat with. Can be a single number or multiple numbers to find a group chat.

## Responses

### 200

Successful response

Media type application/json

object

**data**

One of:

- [object](#tab-panel-0)
- [object](#tab-panel-1)

When chat is found

object

**chat**

object

**id**

integer

**display\_name**

The display name for the chat. Returns a manually set group name if present, otherwise a comma-separated list of participant names/phone numbers.

string

**service**

The messaging service used for this chat

string

Allowed values: iMessage SMS RCS

**group**

Whether this is a group chat

boolean

**message\_count**

Number of messages in the chat. For newly created chats, this will be 1 (the initial message). For existing chats, this could be any number.

integer

**chat\_handles**

Array\<object>

object

**id**

integer

**phone\_number**

The phone number or email identifier for this participant

string

**service**

The messaging service for this handle

string

Allowed values: iMessage SMS RCS

**joined\_at**

string format: date-time

When chat is not found

object

**chat**

null

nullable

**messages**

Array\<object>

object

##### Examples

Select example chat\_found

Chat found

```
{
  "data": {
    "chat": {
      "id": 45,
      "display_name": "John Doe",
      "service": "iMessage",
      "group": false,
      "message_count": 15,
      "chat_handles": [
        {
          "id": 123,
          "phone_number": "+15551234567",
          "service": "iMessage",
          "joined_at": "2025-05-21T15:30:00.000-05:00"
        },
        {
          "id": 124,
          "phone_number": "+15559876543",
          "service": "iMessage",
          "joined_at": "2025-05-21T15:30:00.000-05:00"
        }
      ]
    }
  }
}
```

Chat not found

```
{
  "data": {
    "chat": null,
    "messages": []
  }
}
```
